Bug 1080042 (CVE-2018-6764)

Summary: VUL-1: CVE-2018-6764: libvirt: guest could inject executable code via libnss_dns.so loaded by libvirt_lxc before init
Product: [Novell Products] SUSE Security Incidents Reporter: Johannes Segitz <jsegitz>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: atoptsoglou, cbosdonnat, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/199648/
Whiteboard: CVSSv3:SUSE:CVE-2018-6764:6.8:(AV:L/AC:L/PR:N/UI:N/S:C/C:L/I:L/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Johannes Segitz 2018-02-08 11:13:27 UTC
CVE-2018-6764
via https://bugzilla.redhat.com/show_bug.cgi?id=1541444

Not a lot of details. I suspect this is via
lxcConnectDomainXMLFromNative -> lxcParseConfigString -> lxcConvertNetworkSettings -> lxcNetworkWalkCallback -> virSocketAddrParse
which would mean >= SLE 12 is affected

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-6764
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-6764.html
Comment 1 Cédric Bosdonnat 2018-02-08 15:25:38 UTC
libvirt-lxc is mine
Comment 2 Cédric Bosdonnat 2018-02-08 16:08:43 UTC
Fix is here: https://www.redhat.com/archives/libvir-list/2018-February/msg00239.html
Comment 3 Cédric Bosdonnat 2018-02-09 16:39:13 UTC
Fix stacked for the next maintenance update for 12-SP2 and 12-SP3. The libvirt LXC driver is not supported on SLE 11, thus I haven't backported the patch to this version.

Fix will be submitted to factory and SLE-15 soon.
Comment 4 Swamp Workflow Management 2018-02-10 01:30:10 UTC
This is an autogenerated message for OBS integration:
This bug (1080042) was mentioned in
https://build.opensuse.org/request/show/574875 Factory / libvirt
Comment 6 Swamp Workflow Management 2018-02-12 15:20:10 UTC
This is an autogenerated message for OBS integration:
This bug (1080042) was mentioned in
https://build.opensuse.org/request/show/575802 Factory / libvirt
Comment 11 Swamp Workflow Management 2018-04-03 19:08:44 UTC
SUSE-SU-2018:0861-1: An update that solves three vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1078808,1079869,1080042,1082041,1083625
CVE References: CVE-2017-5715,CVE-2018-1064,CVE-2018-6764
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    libvirt-2.0.0-27.34.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libvirt-2.0.0-27.34.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libvirt-2.0.0-27.34.1
SUSE Linux Enterprise Server 12-SP2 (src):    libvirt-2.0.0-27.34.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    libvirt-2.0.0-27.34.1
Comment 13 Swamp Workflow Management 2018-04-11 10:12:27 UTC
SUSE-SU-2018:0920-1: An update that solves three vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1054986,1067018,1070615,1079869,1080042,1082041,1082161,1083625,1085757,1086038
CVE References: CVE-2017-5715,CVE-2018-1064,CVE-2018-6764
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libvirt-3.3.0-5.19.2
SUSE Linux Enterprise Server 12-SP3 (src):    libvirt-3.3.0-5.19.2, virt-manager-1.4.1-5.8.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libvirt-3.3.0-5.19.2, virt-manager-1.4.1-5.8.1
Comment 14 Swamp Workflow Management 2018-04-12 22:10:07 UTC
openSUSE-SU-2018:0939-1: An update that solves three vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1054986,1067018,1070615,1079869,1080042,1082041,1082161,1083625,1085757,1086038
CVE References: CVE-2017-5715,CVE-2018-1064,CVE-2018-6764
Sources used:
openSUSE Leap 42.3 (src):    libvirt-3.3.0-15.1, virt-manager-1.4.1-9.1
Comment 15 Cédric Bosdonnat 2019-07-12 07:53:54 UTC
back to security team... fixed a long time ago
Comment 16 Alexandros Toptsoglou 2020-07-14 16:04:52 UTC
Done